/*
 * lcd.h
 *
 * Created: 18.05.2012 11:28:26
 *  Author: maticpi
 */ 


#ifndef LCD_H_
#define LCD_H_

#include "main.h"

FILE LCDstream;

int LCDputc(char c, FILE* stream);
char LCD_Busy();
void LCD_Init();
void LCD_Cmd(char data);
void LCD_Data(char data);

void LCD_Clear();
void LCD_Home();

#define LCD_ON      0x04
#define LCD_OFF 0x00
#define LCD_BLINK_ON       0x01
#define LCD_BLINK_OFF      0x00
#define LCD_CURS_ON        0x02
#define LCD_CURS_OFF       0x00
void LCD_Control(char data);

#define LCD_SHIFT_CURSOR   0x00
#define LCD_SHIFT_DISPLAY  0x08
#define LCD_LEFT    0x00
#define LCD_RIGHT   0x04
void LCD_Shift(char data);

void LCD_GotoXY(char row, char coloumn);
void LCD_loadCustomChars(char adr,char *chr);

#endif /* LCD_H_ */